Bug 995785 - [abrt] gnome-shell-3.9.5-2.fc20: _g_log_abort: Process /usr/bin/gnome-shell was killed by signal 6 (SIGABRT)
[abrt] gnome-shell-3.9.5-2.fc20: _g_log_abort: Process /usr/bin/gnome-shell w...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
x86_64 All
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:6b62538f8e41fdd6b70d5497c3b...
: Reopened
: 1042773 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 01:03 EDT by Joachim Frieben
Modified: 2015-06-29 08:15 EDT (History)
93 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:15:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.79 KB, text/plain)
2013-08-11 01:03 EDT, Joachim Frieben
no flags Details
File: cgroup (158 bytes, text/plain)
2013-08-11 01:03 EDT, Joachim Frieben
no flags Details
File: core_backtrace (23.06 KB, text/plain)
2013-08-11 01:03 EDT, Joachim Frieben
no flags Details
File: dso_list (22.29 KB, text/plain)
2013-08-11 01:03 EDT, Joachim Frieben
no flags Details
File: environ (1.47 KB, text/plain)
2013-08-11 01:03 EDT, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-11 01:03 EDT, Joachim Frieben
no flags Details
File: maps (97.53 KB, text/plain)
2013-08-11 01:04 EDT, Joachim Frieben
no flags Details
File: open_fds (2.84 KB, text/plain)
2013-08-11 01:04 EDT, Joachim Frieben
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2013-08-11 01:04 EDT, Joachim Frieben
no flags Details
File: var_log_messages (4.38 KB, text/plain)
2013-08-11 01:04 EDT, Joachim Frieben
no flags Details
screenshot of gnome-abrt (418.16 KB, image/png)
2014-01-02 04:46 EST, Mikhail
no flags Details
mutter log (487.57 KB, application/gzip)
2014-01-02 11:17 EST, Mikhail
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 711618 None None None Never

  None (edit)
Description Joachim Frieben 2013-08-11 01:03:34 EDT
Version-Release number of selected component:
gnome-shell-3.9.5-2.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 3
uid:            1001

Truncated backtrace:
Thread no. 1 (9 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 meta_window_unmanage at core/window.c:1766
 #6 event_callback at core/display.c:2755
 #7 filter_func at ui/ui.c:254
 #8 gdk_event_apply_filters at gdkeventsource.c:81
 #9 gdk_event_source_translate_event at gdkeventsource.c:195
 #10 _gdk_x11_display_queue_events at gdkeventsource.c:338
 #11 gdk_display_get_event at gdkdisplay.c:327
 #17 meta_run at core/main.c:556
Comment 1 Joachim Frieben 2013-08-11 01:03:39 EDT
Created attachment 785313 [details]
File: backtrace
Comment 2 Joachim Frieben 2013-08-11 01:03:43 EDT
Created attachment 785314 [details]
File: cgroup
Comment 3 Joachim Frieben 2013-08-11 01:03:47 EDT
Created attachment 785315 [details]
File: core_backtrace
Comment 4 Joachim Frieben 2013-08-11 01:03:51 EDT
Created attachment 785316 [details]
File: dso_list
Comment 5 Joachim Frieben 2013-08-11 01:03:54 EDT
Created attachment 785317 [details]
File: environ
Comment 6 Joachim Frieben 2013-08-11 01:03:58 EDT
Created attachment 785318 [details]
File: limits
Comment 7 Joachim Frieben 2013-08-11 01:04:02 EDT
Created attachment 785319 [details]
File: maps
Comment 8 Joachim Frieben 2013-08-11 01:04:06 EDT
Created attachment 785320 [details]
File: open_fds
Comment 9 Joachim Frieben 2013-08-11 01:04:10 EDT
Created attachment 785321 [details]
File: proc_pid_status
Comment 10 Joachim Frieben 2013-08-11 01:04:14 EDT
Created attachment 785322 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-09-16 12:29:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 12 Honza 'thingie' Bartoš 2013-10-11 06:04:55 EDT
Random crash while doing basically nothing.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.11.3-301.fc20.x86_64
package:        gnome-shell-3.10.0.1-1.fc20
reason:         Process /usr/bin/gnome-shell was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Adam Jackson 2013-10-15 11:48:53 EDT
Resizing a window.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.9.9-302.fc19.x86_64
package:        gnome-shell-3.10.0.1-1.fc20
reason:         Process /usr/bin/gnome-shell was killed by signal 6 (SIGABRT)
runlevel:       unknown
type:           CCpp
uid:            1000
Comment 14 D. Charles Pyle 2013-10-16 00:18:35 EDT
Installing updates to codecs using Yumex.  Gnome-shell crashed and threw the above message.
Comment 15 Petr Hracek 2013-10-23 09:58:26 EDT
I have upgrade F19 to F20 and sometimes gnome-shell is restarted.
Can I provided some logs?
Comment 16 mswal28462 2013-12-15 21:52:58 EST
For some reason this problem is occurring quite frequently all of a sudden (today).  Seems whenever I close a window or perform some action (like a search) where the pop up window is closed, gnome restarts.  Periodically, it isn't able to recover (get the uh-oh screen) and have to log back in.

I think the Priority and Severity needs to be bumped up on this error.
Comment 17 Juraci Paixão Kröhling 2013-12-16 11:08:50 EST
I'm also experiencing this. Quite a few crashes in one day, with the "uh-oh" screen appearing if the last crash was only a few minutes before. What seems to have helped was to downgrade mutter:

$ sudo yum downgrade mutter
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package mutter.x86_64 0:3.10.2-2.fc20 will be a downgrade
---> Package mutter.x86_64 0:3.10.2-4.fc20 will be erased
Comment 18 mswal28462 2013-12-16 14:46:31 EST
This did help me, thank you!
Comment 19 Daniel Miranda 2013-12-17 08:18:24 EST
Downgrading Mutter helped me as well.
Comment 20 Bobby Powers 2013-12-17 14:30:03 EST
same, the downgrade helped.  Before this, both (important) Wine apps I tried would crash gnome-shell whenever a modal window disappeared
Comment 21 kayahr 2013-12-18 03:29:46 EST
Can someone please give a more detailed description how to downgrade mutter? If this bug occurs for other newbies like me and they find this bug report then they might just do this:

  $ sudo yum downgrade mutter
  Loaded plugins: langpacks, refresh-packagekit
  Nothing to do

No idea why Juraci has a different result. Maybe because I did a fresh install while Juraci has upgraded from Fedora 19 to 20?

This bug occurs pretty often my machine. It occurs randomly in different applications. Gnome Shell always recovers from it automatically (by restarting itself) but it is very annoying. I never had this problem in Fedora 19.
Comment 22 kayahr 2013-12-18 03:34:20 EST
Oh, I guess now I know why I can't downgrade. mutter IS already downgraded:

  $ yum list installed mutter
  Loaded plugins: langpacks, refresh-packagekit
  Installed Packages
  mutter.x86_64             3.10.2-2.fc20             @koji-override-0/$releasever

So this means this downgrade simply didn't fixed the issue for me.
Comment 23 Juraci Paixão Kröhling 2013-12-18 04:36:03 EST
(In reply to kayahr from comment #22)
> Oh, I guess now I know why I can't downgrade. mutter IS already downgraded:
> 
>   $ yum list installed mutter
>   Loaded plugins: langpacks, refresh-packagekit
>   Installed Packages
>   mutter.x86_64             3.10.2-2.fc20            
> @koji-override-0/$releasever
> 
> So this means this downgrade simply didn't fixed the issue for me.

It seems that you are using koji, while we might be using the official repository. And no, I haven't upgraded from 19 to 20, I'm using a "fresh" 20 Beta. 

$ yum list installed mutter
Loaded plugins: langpacks, refresh-packagekit
Installed Packages
mutter.x86_64     3.10.2-2.fc20        @fedora
Comment 24 Milan Bouchet-Valat 2013-12-18 05:00:02 EST
I've also experienced this on F20.

Filed upstream as https://bugzilla.gnome.org/show_bug.cgi?id=720664
Comment 25 Marcel Buchholz 2013-12-18 08:06:50 EST
Happens to me on F20, mostly while closing windows.
Comment 26 Owen Taylor 2013-12-18 09:13:08 EST
The last reports here are actually different from the first crash, since they are caused by a change that was only landed in October. I fixed the upstream bug link to point to the right bug for this new issue - there's a patch there that I'll try to get landed soon. 

Reading the code I figured out another way to reproduce this crash which probably is what happened in the first report - it occurs if you are moving a window that spontaneously closes. I'll put a fix for that in the upstream bug as well.
Comment 27 Owen Taylor 2013-12-18 10:08:31 EST
*** Bug 1042773 has been marked as a duplicate of this bug. ***
Comment 28 ruzarowski 2013-12-18 16:04:41 EST
Hi,

i was experiencing the same issue and the second patch
in gnome bugtracker from Owen fixed it for me, so thanks for this.

Thanks,

Rafael
Comment 29 Christian Stadelmann 2013-12-19 13:58:27 EST
There is a similar bug which may be related: https://bugzilla.redhat.com/show_bug.cgi?id=1035942
Comment 30 Alexander Lipatov 2013-12-20 05:59:58 EST
Another user experienced a similar problem:

Uninstalled firefox plugin and pressed "restart" button on firefox (26 version) to apply changes. Firefox restarted but gnome crash message appears. Looks like nothing was affected. I can continue working.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.11.10-301.fc20.x86_64
package:        gnome-shell-3.10.2.1-3.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 31 Loïc Favory 2013-12-20 08:40:11 EST
Got the same problem with PHPStorm : http://www.jetbrains.com/phpstorm/, it's a Java Swing application.
Tried to downgrade mutter, but the problem still here.

It seems to appear when a specific modal is closed by the app (when I use the git push modal window).

It worked well when I was on Fedora 19, crashing now on Fedora 20
Comment 32 Loïc Favory 2013-12-20 09:36:10 EST
Seems to be OK after mutter downgrade & gnome restart
Comment 33 Christian Stadelmann 2013-12-20 19:01:02 EST
downgrading mutter and restarting gnome does not fix this bug for me.
Comment 34 neil 2013-12-21 06:43:29 EST
Closing certain modal dialogs in IntelliJ IDEA (a Java IDE) seems to trigger this crash in gnome-shell. In my case, after creating a new file, I get the option to add the file to git presented in a modal dialog; gnome-shell crashes when I choose either "yes" or "no".

This was worked fine in Fedora 19. I started seeing problems after upgrading to Fedora 20 last night. Downgrading to mutter-3.10.2-2.fc20.x86_64 seems to have stopped the crashes.
Comment 35 Stéphane Meurlet 2013-12-21 09:13:53 EST
This crash in gnome-shell occures when I click on the Close button of the the Docky Settings => Modal dialog. I work with Fedora 20.
Comment 36 Mariusz Smykuła 2013-12-22 14:49:33 EST
IDEA Intellij 13, switching project logouts from Gnome. This appears after  mutter-3.10.2-4.fc20.x86_64 update today. Downgrade to mutter-3.10.2-2.fc20.x86_64 resolves problem.
Comment 37 Adam Williamson 2013-12-23 15:53:35 EST
The Desktop team is mostly on Xmas break now, so I'm going to use my provenpackager powers to push out a mutter 3.10.2-5 which reverts the change from 3.10.2-4.

What happened here is that we pulled in the upstream fix for https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=1019073 (upstream https://bugzilla.gnome.org/show_bug.cgi?id=710296 ) and that fix causes this problem. I'd say this problem is more significant than #1019073 on balance, so the proper course is to revert that fix until we have an upstream-approved fix for this issue. There are patches for this issue in the upstream bug, but one of them is not yet reviewed, and I don't necessarily want to throw an un-reviewed patch at a Fedora update.

So I think I'll do a 3.10.2-5 build which simply reverts the #1019073 fix and send that out as an update, and maybe do a 3.10.2-5.1 unofficial scratch build with both #1019073 fix and the un-reviewed upstream patches for this bug, for anyone who actually wants to use a non-GNOME on-screen keyboard *and* close Java windows. :)
Comment 38 Adam Williamson 2013-12-23 15:55:23 EST
There is another way to hit this problem which you can manage even without the #1019073 fix, as I read the reports, but it seems to be more rare. The reviewed upstream patch fixes that case, the un-reviewed one fixes the more common case.
Comment 39 Fedora Update System 2013-12-23 16:19:48 EST
mutter-3.10.2-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mutter-3.10.2-5.fc20
Comment 40 Adam Williamson 2013-12-23 16:36:19 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=6330186 is a scratch build (versioned 3.10.2-5.1, so it won't conflict with an 'official' -6 build) which includes both the fix for #1019073 and the current upstream patches for this bug, if people want to test that.
Comment 41 D. Charles Pyle 2013-12-23 20:29:40 EST
Oddly enough, I have not experienced this problem since installing mutter-3.10.2-4.
Comment 42 D. Charles Pyle 2013-12-23 22:50:39 EST
I take it back.  Just got sent here by abrt for the crash.
Comment 43 Anton Stoychev 2013-12-24 06:22:29 EST
Same crash here with several Jetbrains products on a fresh install of Fedora 20.

Gnome is crashing when moving and opening windows, clicking buttons or applying some keyboard shortcuts.

Treid both openjdk and sun jdk. 

Downgrading mutter works for me.

Jetbrains log was outputting: 

# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007fba0a05aeba, pid=2754, tid=140436322559744
#
# JRE version: Java(TM) SE Runtime Environment (7.0_45-b18) (build 1.7.0_45-b18)
# Java VM: Java HotSpot(TM) 64-Bit Server VM (24.45-b08 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# v  ~BufferBlob::jni_fast_GetLongField
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /home/fedora/apps/pycharm-3.0.2/bin/hs_err_pid2754.log
Comment 44 M. Trojahn 2013-12-24 07:17:54 EST
Downgraded to mutter-3.10.2-2.fc20.x86_64 as mentioned here, didn't work...

Essentially, gnome-shell crashes nearly every time I try to use a wine application (tested with winbox.exe (Mikrotik) and Navicat (Mysql client)).

This only started to happen after gnome-shell was upgraded to 3.10.2.1-3.fc20.
Comment 45 Adam Williamson 2013-12-24 12:48:22 EST
Rather than downgrading it'd be good if people could test with -5 or even better the scratch build from c#40.
Comment 46 D. Charles Pyle 2013-12-24 13:20:17 EST
Both downgrading and upgrading to the scratch build seems to help but I now have another problem since doing that. A white line that flashes alternately blue and white with the same speed as a terminal cursor occurs on the top of the panel.  I do not know if this is related but did not occur until after the downgrade and upgrade. It is very annoying. No crashing so far, though.
Comment 47 Adam Williamson 2013-12-24 13:23:56 EST
https://admin.fedoraproject.org/updates/mutter-3.10.2-6.fc20 should now include both the fix for #1019073 and the upstream patches for this bug, as they've been reviewed. Please restart GNOME or reboot after installing it, and report if you still hit crashes that abrt considers duplicate of this bug. Thanks.
Comment 48 Chris 2013-12-24 20:59:21 EST
Installing -6 as per this link (https://admin.fedoraproject.org/updates/mutter-3.10.2-6.fc20) appears to have solved the issue for me on F20. Wine programs also no longer lockup and kill gnome 3.10
Comment 49 Fedora Update System 2013-12-24 21:36:12 EST
Package mutter-3.10.2-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mutter-3.10.2-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23948/mutter-3.10.2-6.fc20
then log in and leave karma (feedback).
Comment 50 Salvatore La Bua 2013-12-24 21:52:55 EST
I've been using it for about 8 hours already, and I haven't crashed anymore ever since. Whereas I used to crash upon closing windows about 50% of the times.
Thanks for this fix!
Comment 51 Emmanuel Pacaud 2013-12-26 05:04:02 EST
Another user experienced a similar problem:

I have closed teamviewer client, then gnome-shell crashed.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.12.5-302.fc20.x86_64
package:        gnome-shell-3.10.2.1-3.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            14316
Comment 52 M. Trojahn 2013-12-26 08:48:57 EST
There's a few specific tasks I did on Navicat that would crash Gnome every time... I tried those things after mutter-3.10.2-6.fc20 and no more crashes... Looks fixed.
Comment 53 Daniel Miranda 2013-12-26 16:14:23 EST
I'm not getting crashes anymore with mutter 3.10.2-6, but I'm having problems with window selection, specifically fullscreen Wine games (League of Legends), which I was not having before.

If I Alt-Tab or select the application from the app. list, it will flash like it's focused, then be instantly unfocused. Sometimes it will end up with mouse focus, sometimes it will be 'fall through', with clicks going to windows below it. If I then activate it again (by doing either the Alt-Tab or the app selection, whichever I had not used previously) the windows gets focus, but occasionally the mouse focus will stay bugged.

With mutter 3.10.2-2 I can focus the windows consistently every time, but *unfocusing* is inconsistent and sometimes will not bring up the selected application.
Comment 54 Steven Citron-Pousty 2013-12-26 18:57:45 EST
I can't get my yum update to work. How do I force the issue. I am dead in the water with Intellij IDEA until this is fixed since it keeps crashing.
Comment 55 Adam Williamson 2013-12-26 19:08:59 EST
steven: if you follow the Bodhi link there's a Koji link, and you can drill down and pull the RPMs directly out of Koji.
Comment 56 D. Charles Pyle 2013-12-26 20:23:53 EST
I am now also having a new problem since the update to the latest on Koji.  The Favorites "dock" now is so large that more than half of it is below the lower left of the primary screen.  I can reset the settings to defaults but one second after I restart Gnome-shell, the "dock" automatically resizes and repositions itself from the correct size and enlarges to the point that more than half of the icons are below the lowest part of the screen.  Resetting all settings to defaults using gconftool-2 does not change this but the flashing problem has disappeared.
Comment 57 D. Charles Pyle 2013-12-26 20:24:38 EST
I forgot to add that this same issue with the resizing "dock" affects all users including new ones.
Comment 58 Frederic Grelot 2013-12-27 17:21:16 EST
It's worth what it's worth, but in my case, it started to appear as soon as the "Attached Modal Dialogs" was set to "OFF" in gnome-tweak-tools.
I already had a similar problem long ago (crash of gnome shell related to modal dialogs), which is why I immediately though about the parameter.

In my case, it appeared in several cases related to modal dialogs, either in a Java App (made by myself) or Eclipse for example. I couldn't say if it's when the dialogs appear or are closed. In the case of the Java App, I think that the code opened 2 modal dialogs one after another : as soon as I closed the first one, the 2nd one was set to appear, and gnome-shell crashed.

I hope this'll help!

Goulou
Comment 59 Frederic Grelot 2013-12-27 18:20:47 EST
Well, I changed the param in gnome-tweak-tools, since I wanted to avoid crashes, and it still happened.
It happened in the same circumstances : my java app opened 2 dialogs successively, and gnome-shell crashed while 1 closed the first one.
Note that in the Java app, the "modal" dialog is actually not stuck on the main window, so the parameter in gnome-tweak-tools may be ignored by the JVM.

Goulou.

PS : I didn't apply any update from koji, so mutter's version is 3.10.2-4.fc20
Comment 60 Adam Williamson 2013-12-27 20:12:14 EST
You should really downgrade to -2 or upgrade to -6.
Comment 61 Fedora Update System 2013-12-27 21:05:17 EST
mutter-3.10.2-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 62 Mykola Dvornik 2013-12-28 15:13:05 EST
After updating to mutter-3.10.2-6, xnoise segfault's with the following message:

Dec 28 17:40:07 localhost.localdomain gnome-session[2291]: (xnoise:10974): Gdk-WARNING **: losing last reference to undestroyed window
Dec 28 17:40:07 localhost.localdomain gnome-session[2291]: (xnoise:10974): GLib-GObject-CRITICAL **: g_object_ref: assertion 'object->ref_count > 0' failed
Dec 28 17:40:07 localhost.localdomain kernel: xnoise[10974]: segfault at 89 ip 00007f06fb822084 sp 00007fff36e4a270 error 6 in libgdk-3.so.0.1000.6[7f06fb7ea000+ad000]
Comment 63 Mikhail 2014-01-01 13:52:04 EST
Seems problem still not fixed. Having this crash sometimes when open song in FL Studio in wine.
Comment 64 D. Charles Pyle 2014-01-01 19:37:21 EST
I also am still seeing crashes, including on mundane things like moving the mouse to the hot corner, but cannot get usable backtraces using abrt, so it refuses to report.  I also now have the problem I mentioned above where I cannot even see half of my favorites in activities overview (half are below the screen).  It is the same with all users, including new users, since this update.  I finally had to skip out of gnome-shell and use either Cinnamon or MATE-desktop in the meantime.
Comment 65 Adam Williamson 2014-01-01 21:09:46 EST
I don't immediately see how a segfault in libgdk-3.so.0.1000.6 has anything to do with this, and I don't know what's happening to Charles at all.

Do your crashes go away if you downgrade mutter to -2 and change nothing else?
Comment 66 Mikhail 2014-01-02 02:42:09 EST
In my case:

янв 02 13:38:29 Z87M-D3H gnome-session[28978]: Window manager warning: Log level 8: meta_display_register_x_window: assertion 'g_hash_table_lookup (display->xids, xwindowp) == NULL' failed
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: Window manager warning: Log level 8: meta_display_unregister_x_window: assertion 'g_hash_table_lookup (display->xids, &xwindow) != NULL' failed
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: fixme:win:UnregisterDeviceNotification (handle=0xcafeaffe), STUB!
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadCharacteristicsW (L"P",0x23be9a4): stub
янв 02 13:38:50 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadPriority (0x12345678)->(2) stub
янв 02 13:38:51 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadCharacteristicsW (L"P",0x4b3e9b0): stub
янв 02 13:38:51 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadPriority (0x12345678)->(2) stub
янв 02 13:38:51 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadCharacteristicsW (L"P",0x5ade9b0): stub
янв 02 13:38:51 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadPriority (0x12345678)->(2) stub
янв 02 13:38:51 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:38:51 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadCharacteristicsW (L"P",0x63ee9a4): stub
янв 02 13:38:51 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadPriority (0x12345678)->(2) stub
янв 02 13:38:57 Z87M-D3H gnome-session[28978]: Window manager warning: Log level 8: meta_display_register_x_window: assertion 'g_hash_table_lookup (display->xids, xwindowp) == NULL' failed
янв 02 13:39:11 Z87M-D3H gnome-session[28978]: **
янв 02 13:39:11 Z87M-D3H gnome-session[28978]: mutter:ERROR:core/window.c:1748:meta_window_unmanage: assertion failed: (window->display->focus_window != window)
янв 02 13:39:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:39:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:39:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 13:39:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadCharacteristicsW (L"P",0x23be9a4): stub
янв 02 13:39:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadPriority (0x12345678)->(2) stub
янв 02 13:39:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadCharacteristicsW (L"P",0x4b3e9b0): stub
янв 02 13:39:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadPriority (0x12345678)->(2) stub
янв 02 13:39:11 Z87M-D3H gnome-session[28978]: fixme:ntdll:NtCreateJobObject stub: 0x33ed98 1f001f L"C:/Program Files/Image-Line/FL Studio 11/Plugins/Fruity/Generators/Fruity wrapper/"
янв 02 13:39:11 Z87M-D3H gnome-session[28978]: fixme:ntdll:NtSetInformationJobObject stub: 0xdead 9 0x33ee38 108
янв 02 13:39:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadCharacteristicsW (L"P",0x57ee9b0): stub
янв 02 13:39:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadPriority (0x12345678)->(2) stub
янв 02 13:39:12 Z87M-D3H abrt-hook-ccpp[15982]: Saved core dump of pid 30178 (/usr/bin/gnome-shell) to /var/tmp/abrt/ccpp-2014-01-02-13:39:11-30178 (481353728 bytes)
янв 02 13:39:12 Z87M-D3H polkitd[565]: Unregistered Authentication Agent for unix-session:32 (system bus name :1.570, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.utf8) (disconnected
янв 02 13:39:12 Z87M-D3H abrt-server[15986]: Generating core_backtrace
янв 02 13:39:12 Z87M-D3H abrt-server[15986]: Generating backtrace
янв 02 13:39:12 Z87M-D3H gnome-session[28978]: gnome-session[28978]: WARNING: Application 'gnome-shell.desktop' killed by signal 6
янв 02 13:39:12 Z87M-D3H gnome-session[28978]: WARNING: Application 'gnome-shell.desktop' killed by signal 6
янв 02 13:39:13 Z87M-D3H gnome-session[28978]: Window manager warning: Log level 8: meta_display_register_x_window: assertion 'g_hash_table_lookup (display->xids, xwindowp) == NULL' failed
янв 02 13:39:14 Z87M-D3H polkitd[565]: Registered Authentication Agent for unix-session:32 (system bus name :1.624 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_U
янв 02 13:39:14 Z87M-D3H gnome-session[28978]: Gjs-Message: JS LOG: GNOME Shell started at Thu Jan 02 2014 13:39:14 GMT+0600 (YEKT)
янв 02 13:39:14 Z87M-D3H abrt-server[15986]: Duplicate: core backtrace
янв 02 13:39:14 Z87M-D3H abrt-server[15986]: DUP_OF_DIR: /var/tmp/abrt/ccpp-2014-01-01-22:59:27-29112
янв 02 13:39:14 Z87M-D3H abrt-server[15986]: Deleting problem directory ccpp-2014-01-02-13:39:11-30178 (dup of ccpp-2014-01-01-22:59:27-29112)
янв 02 13:39:14 Z87M-D3H dbus-daemon[521]: dbus[521]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
янв 02 13:39:14 Z87M-D3H dbus[521]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
янв 02 13:39:14 Z87M-D3H dbus-daemon[521]: dbus[521]: [system] Successfully activated service 'org.freedesktop.problems'
янв 02 13:39:14 Z87M-D3H dbus[521]: [system] Successfully activated service 'org.freedesktop.problems'
янв 02 13:39:16 Z87M-D3H gnome-session[28978]: err:ntdll:RtlpWaitForCriticalSection section 0x1369f98 "?" wait timed out in thread 002c, blocked by 0027, retrying (60 sec)
янв 02 13:39:18 Z87M-D3H setroubleshoot[26932]: dbus avc(node=Z87M-D3H type=AVC msg=audit(1388648358.933:1599): avc:  denied  { mmap_zero } for  pid=16260 comm="wine-preloader" scontext=unconfined_u:unconfined_r
                                                   node=Z87M-D3H type=SYSCALL msg=audit(1388648358.933:1599): arch=40000003 syscall=90 success=no exit=-1 a0=ffe44e6c a1=10000 a2=ffe44e6c a3=5a items=0 ppid=6351 
                                                   node=Z87M-D3H type=EOE msg=audit(1388648358.933:1599): 
                                                   ) called: 2 Connections
янв 02 13:39:18 Z87M-D3H setroubleshoot[26932]: AuditRecordReceiver.add_record_to_cache(): node=Z87M-D3H type=AVC msg=audit(1388648358.933:1599): avc:  denied  { mmap_zero } for  pid=16260 comm="wine-preloader" 
янв 02 13:39:18 Z87M-D3H setroubleshoot[26932]: AuditRecordReceiver.add_record_to_cache(): node=Z87M-D3H type=SYSCALL msg=audit(1388648358.933:1599): arch=40000003 syscall=90 success=no exit=-1 a0=ffe44e6c a1=10
янв 02 13:39:18 Z87M-D3H setroubleshoot[26932]: AuditRecordReceiver.add_record_to_cache(): node=Z87M-D3H type=EOE msg=audit(1388648358.933:1599):
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: analyze_avc() avc=scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 access=['mmap_zero'
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: lookup_signature: found 1 matches with scores 1.00
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: signature found in database
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: sending alert to all clients
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: SELinux is preventing /usr/bin/wine-preloader from mmap_zero access on the memprotect . For complete SELinux messages. run sealert -l 6274747b-2096-43fd-9ed4-a426a
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() names=['leaks', 'swapfile', 'httpd_can_sendmail', 'sys_module', 'file', 'allow_execstack', 'wine', 'rsync_data', 'allow_execheap', 'qemu_blk_image',
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.leaks previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.swapfile previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.httpd_can_sendmail previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.sys_module previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.file previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.allow_execstack previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.wine previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.rsync_data previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.allow_execheap previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.qemu_blk_image previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.device previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.mozplugger_remove previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.allow_ftpd_use_nfs previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.sshd_root previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.automount_exec_config previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.sys_resource previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.catchall_boolean previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.httpd_write_content previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.cvs_data previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.mmap_zero previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.setenforce previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.xen_image previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.allow_ftpd_use_cifs previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.disable_ipv6 previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.mozplugger previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.kernel_modules previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.restorecon_source previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.catchall previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.public_content previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.mounton previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.openvpn previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.samba_share previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.dac_override previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.connect_ports previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.qemu_file_image previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.bind_ports previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.sandbox_connect previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.chrome previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.vbetool previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.allow_execmod previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.allow_anon_write previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.filesystem_associate previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.selinuxpolicy previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.associate previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.restorecon previously imported
янв 02 13:39:19 Z87M-D3H setroubleshoot[26932]: load_plugins() plugins.catchall_labels previously imported
янв 02 13:39:19 Z87M-D3H python[26932]: SELinux is preventing /usr/bin/wine-preloader from mmap_zero access on the memprotect .
                                           
                                           *****  Plugin mmap_zero (53.1 confidence) suggests   *************************
                                           
                                           If you do not think /usr/bin/wine-preloader should need to mmap low memory in the kernel.
                                           Then you may be under attack by a hacker, this is a very dangerous access.
                                           Do
                                           contact your security administrator and report this issue.
                                           
                                           *****  Plugin catchall_boolean (42.6 confidence) suggests   ******************
                                           
                                           If you want to allow mmap to low allowed
                                           Then you must tell SELinux about this by enabling the 'mmap_low_allowed' boolean.
                                           
                                           Do
                                           setsebool -P mmap_low_allowed 1
                                           
                                           *****  Plugin catchall (5.76 confidence) suggests   **************************
                                           
                                           If you believe that wine-preloader should be allowed mmap_zero access on the  memprotect by default.
                                           Then you should report this as a bug.
                                           You can generate a local policy module to allow this access.
                                           Do
                                           allow this access for now by executing:
                                           # grep wine-preloader /var/log/audit/audit.log | audit2allow -M mypol
                                           # semodule -i mypol.pp
                                           
янв 02 13:39:31 Z87M-D3H gnome-session[28978]: Window manager warning: Log level 8: meta_display_register_x_window: assertion 'g_hash_table_lookup (display->xids, xwindowp) == NULL' failed
янв 02 13:39:32 Z87M-D3H gnome-session[28978]: Window manager warning: Log level 8: meta_display_unregister_x_window: assertion 'g_hash_table_lookup (display->xids, &xwindow) != NULL' failed
янв 02 13:39:49 Z87M-D3H setroubleshoot[26932]: auto_save database (/var/lib/setroubleshoot/setroubleshoot_database.xml) modified_count=1
янв 02 13:39:49 Z87M-D3H setroubleshoot[26932]: writing database (/var/lib/setroubleshoot/setroubleshoot_database.xml) modified_count=1
янв 02 13:40:03 Z87M-D3H gnome-session[28978]: Window manager warning: Log level 8: meta_display_unregister_x_window: assertion 'g_hash_table_lookup (display->xids, &xwindow) != NULL' failed
Comment 67 Mikhail 2014-01-02 04:42:01 EST
янв 02 15:40:10 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x314b190)->(1)
янв 02 15:40:10 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x314b190)->(0)
янв 02 15:40:10 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x314b190)->(1)
янв 02 15:40:10 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x314b190)->(0)
янв 02 15:40:10 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x314b190)->(1)
янв 02 15:40:10 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x314b190)->(0)
янв 02 15:40:10 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x314b190)->(1)
янв 02 15:40:10 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x314b190)->(0)
янв 02 15:40:10 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x314b190)->(1)
янв 02 15:40:10 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x314b190)->(0)
янв 02 15:40:10 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x314b190)->(1)
янв 02 15:40:10 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x314b190)->(0)
янв 02 15:40:10 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x314b190)->(1)
янв 02 15:40:11 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x314b190)->(0)
янв 02 15:40:11 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x314b190)->(1)
янв 02 15:40:11 Z87M-D3H gnome-session[28978]: **
янв 02 15:40:11 Z87M-D3H gnome-session[28978]: mutter:ERROR:core/window.c:1748:meta_window_unmanage: assertion failed: (window->display->focus_window != window)
янв 02 15:40:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 15:40:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 15:40:11 Z87M-D3H gnome-session[28978]: fixme:win:UnregisterDeviceNotification (handle=0xcafeaffe), STUB!
янв 02 15:40:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 15:40:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadCharacteristicsW (L"P",0x26be9a4): stub
янв 02 15:40:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadPriority (0x12345678)->(2) stub
янв 02 15:40:11 Z87M-D3H gnome-session[28978]: fixme:g711:G711_StreamSize
янв 02 15:40:11 Z87M-D3H gnome-session[28978]: fixme:ntdll:NtCreateJobObject stub: 0x33ed98 1f001f L"C:/Program Files/Image-Line/FL Studio 11/Plugins/Fruity/Generators/Fruity wrapper/"
янв 02 15:40:11 Z87M-D3H gnome-session[28978]: fixme:ntdll:NtSetInformationJobObject stub: 0xdead 9 0x33ee38 108
янв 02 15:40:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadCharacteristicsW (L"P",0x4a3e9b0): stub
янв 02 15:40:11 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadPriority (0x12345678)->(2) stub
янв 02 15:40:12 Z87M-D3H abrt-hook-ccpp[21126]: Saved core dump of pid 16013 (/usr/bin/gnome-shell) to /var/tmp/abrt/ccpp-2014-01-02-15:40:11-16013 (570871808 bytes)
янв 02 15:40:12 Z87M-D3H polkitd[565]: Unregistered Authentication Agent for unix-session:32 (system bus name :1.624, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.utf8) (disconnected
янв 02 15:40:12 Z87M-D3H abrt-server[21129]: Generating core_backtrace
янв 02 15:40:12 Z87M-D3H abrt-server[21129]: Generating backtrace
янв 02 15:40:12 Z87M-D3H gnome-session[28978]: gnome-session[28978]: WARNING: Application 'gnome-shell.desktop' killed by signal 6
янв 02 15:40:12 Z87M-D3H gnome-session[28978]: WARNING: Application 'gnome-shell.desktop' killed by signal 6
янв 02 15:40:13 Z87M-D3H gnome-session[28978]: Window manager warning: Log level 8: meta_display_register_x_window: assertion 'g_hash_table_lookup (display->xids, xwindowp) == NULL' failed
янв 02 15:40:14 Z87M-D3H polkitd[565]: Registered Authentication Agent for unix-session:32 (system bus name :1.664 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_U
янв 02 15:40:14 Z87M-D3H gnome-session[28978]: Gjs-Message: JS LOG: GNOME Shell started at Thu Jan 02 2014 15:40:14 GMT+0600 (YEKT)
янв 02 15:40:15 Z87M-D3H abrt-server[21129]: Duplicate: core backtrace
янв 02 15:40:15 Z87M-D3H abrt-server[21129]: DUP_OF_DIR: /var/tmp/abrt/ccpp-2014-01-01-22:59:27-29112
янв 02 15:40:15 Z87M-D3H abrt-server[21129]: Deleting problem directory ccpp-2014-01-02-15:40:11-16013 (dup of ccpp-2014-01-01-22:59:27-29112)
янв 02 15:40:15 Z87M-D3H dbus-daemon[521]: dbus[521]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
янв 02 15:40:15 Z87M-D3H dbus[521]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
янв 02 15:40:15 Z87M-D3H dbus-daemon[521]: dbus[521]: [system] Successfully activated service 'org.freedesktop.problems'
янв 02 15:40:15 Z87M-D3H dbus[521]: [system] Successfully activated service 'org.freedesktop.problems'
янв 02 15:40:16 Z87M-D3H gnome-session[28978]: err:ntdll:RtlpWaitForCriticalSection section 0x1369f98 "?" wait timed out in thread 0029, blocked by 0024, retrying (60 sec)
Comment 68 Mikhail 2014-01-02 04:46:47 EST
Created attachment 844470 [details]
screenshot of gnome-abrt
Comment 69 Mikhail 2014-01-02 07:16:00 EST
янв 02 18:14:33 Z87M-D3H gnome-session[28978]: Window manager warning: Log level 8: meta_display_register_x_window: assertion 'g_hash_table_lookup (display->xids, xwindowp) == NULL' failed
янв 02 18:14:45 Z87M-D3H gnome-session[28978]: **
янв 02 18:14:45 Z87M-D3H gnome-session[28978]: mutter:ERROR:core/window.c:1748:meta_window_unmanage: assertion failed: (window->display->focus_window != window)
янв 02 18:14:45 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 18:14:45 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 18:14:45 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 18:14:45 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadCharacteristicsW (L"P",0x2dde9a4): stub
янв 02 18:14:45 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadPriority (0x12345678)->(2) stub
янв 02 18:14:46 Z87M-D3H gnome-session[28978]: fixme:ntdll:NtCreateJobObject stub: 0x33ed98 1f001f L"C:/Program Files/Image-Line/FL Studio 11/Plugins/Fruity/Generators/Fruity wrapper/"
янв 02 18:14:46 Z87M-D3H gnome-session[28978]: fixme:ntdll:NtSetInformationJobObject stub: 0xdead 9 0x33ee38 108
янв 02 18:14:46 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadCharacteristicsW (L"P",0x4ebe9b0): stub
янв 02 18:14:46 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadPriority (0x12345678)->(2) stub
янв 02 18:14:46 Z87M-D3H abrt-hook-ccpp[29670]: Saved core dump of pid 21153 (/usr/bin/gnome-shell) to /var/tmp/abrt/ccpp-2014-01-02-18:14:45-21153 (534822912 bytes)
янв 02 18:14:46 Z87M-D3H polkitd[565]: Unregistered Authentication Agent for unix-session:32 (system bus name :1.664, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US...cted from bus)
янв 02 18:14:46 Z87M-D3H abrt-server[29673]: Generating core_backtrace
янв 02 18:14:46 Z87M-D3H abrt-server[29673]: Generating backtrace
янв 02 18:14:46 Z87M-D3H gnome-session[28978]: gnome-session[28978]: WARNING: Application 'gnome-shell.desktop' killed by signal 6
янв 02 18:14:46 Z87M-D3H gnome-session[28978]: WARNING: Application 'gnome-shell.desktop' killed by signal 6
янв 02 18:14:47 Z87M-D3H gnome-session[28978]: Window manager warning: Log level 8: meta_display_register_x_window: assertion 'g_hash_table_lookup (display->xids, xwindowp) == NULL' failed
янв 02 18:14:48 Z87M-D3H polkitd[565]: Registered Authentication Agent for unix-session:32 (system bus name :1.791 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/Authenticati...le en_US.utf8)
янв 02 18:14:48 Z87M-D3H gnome-session[28978]: Gjs-Message: JS LOG: GNOME Shell started at Thu Jan 02 2014 18:14:48 GMT+0600 (YEKT)
янв 02 18:14:49 Z87M-D3H abrt-server[29673]: Duplicate: core backtrace
янв 02 18:14:49 Z87M-D3H abrt-server[29673]: DUP_OF_DIR: /var/tmp/abrt/ccpp-2014-01-01-22:59:27-29112
янв 02 18:14:49 Z87M-D3H abrt-server[29673]: Deleting problem directory ccpp-2014-01-02-18:14:45-21153 (dup of ccpp-2014-01-01-22:59:27-29112)
янв 02 18:14:50 Z87M-D3H dbus-daemon[521]: dbus[521]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
янв 02 18:14:50 Z87M-D3H dbus[521]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
янв 02 18:14:50 Z87M-D3H dbus-daemon[521]: dbus[521]: [system] Successfully activated service 'org.freedesktop.problems'
янв 02 18:14:50 Z87M-D3H dbus[521]: [system] Successfully activated service 'org.freedesktop.problems'
янв 02 18:14:50 Z87M-D3H abrt-server[29673]: Lock file '/var/tmp/abrt/ccpp-2014-01-01-22:59:27-29112/.lock' is locked by process 29960
янв 02 18:14:50 Z87M-D3H gnome-session[28978]: err:ntdll:RtlpWaitForCriticalSection section 0x1369f98 "?" wait timed out in thread 0029, blocked by 0024, retrying (60 sec)
Comment 70 Mikhail 2014-01-02 07:16:46 EST
And every time after it FL Studio hangs :(
Comment 71 Mikhail 2014-01-02 09:28:20 EST
янв 02 20:27:02 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(1)
янв 02 20:27:02 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(0)
янв 02 20:27:02 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(1)
янв 02 20:27:02 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(0)
янв 02 20:27:02 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(1)
янв 02 20:27:02 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(0)
янв 02 20:27:02 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(1)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(0)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(1)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(0)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(1)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(0)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(1)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(0)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(1)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(0)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(1)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(0)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(1)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(0)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(1)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(0)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(1)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(0)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(1)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(0)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:shell:IDropTargetHelper_fnShow (0x7d78360)->(1)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: **
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: mutter:ERROR:core/window.c:1748:meta_window_unmanage: assertion failed: (window->display->focus_window != window)
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:win:UnregisterDeviceNotification (handle=0xcafeaffe), STUB!
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadCharacteristicsW (L"P",0x26be9a4): stub
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadPriority (0x12345678)->(2) stub
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:ntdll:NtCreateJobObject stub: 0x33ed98 1f001f L"C:/Program Files/Image-Line/FL Studio 11/Plugins/Fruity/Generators/Fruity wrapper/"
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:ntdll:NtSetInformationJobObject stub: 0xdead 9 0x33ee38 108
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadCharacteristicsW (L"P",0x3b6e9b0): stub
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadPriority (0x12345678)->(2) stub
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvRevertMmThreadCharacteristics (0x12345678): stub
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadCharacteristicsW (L"P",0x481e9b0): stub
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadPriority (0x12345678)->(2) stub
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadCharacteristicsW (L"P",0x491e9b0): stub
янв 02 20:27:03 Z87M-D3H gnome-session[28978]: fixme:avrt:AvSetMmThreadPriority (0x12345678)->(2) stub
янв 02 20:27:04 Z87M-D3H abrt-hook-ccpp[1973]: Saved core dump of pid 29703 (/usr/bin/gnome-shell) to /var/tmp/abrt/ccpp-2014-01-02-20:27:03-29703 (480157696 bytes)
янв 02 20:27:04 Z87M-D3H abrt-server[1978]: Generating core_backtrace
янв 02 20:27:04 Z87M-D3H abrt-server[1978]: Generating backtrace
янв 02 20:27:04 Z87M-D3H polkitd[565]: Unregistered Authentication Agent for unix-session:32 (system bus name :1.791, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US...cted from bus)
янв 02 20:27:04 Z87M-D3H gnome-session[28978]: gnome-session[28978]: WARNING: Application 'gnome-shell.desktop' killed by signal 6
янв 02 20:27:04 Z87M-D3H gnome-session[28978]: WARNING: Application 'gnome-shell.desktop' killed by signal 6
янв 02 20:27:05 Z87M-D3H gnome-session[28978]: Window manager warning: Log level 8: meta_display_register_x_window: assertion 'g_hash_table_lookup (display->xids, xwindowp) == NULL' failed
янв 02 20:27:06 Z87M-D3H polkitd[565]: Registered Authentication Agent for unix-session:32 (system bus name :1.822 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/Authenticati...le en_US.utf8)
янв 02 20:27:06 Z87M-D3H gnome-session[28978]: Gjs-Message: JS LOG: GNOME Shell started at Thu Jan 02 2014 20:27:06 GMT+0600 (YEKT)
янв 02 20:27:07 Z87M-D3H abrt-server[1978]: Duplicate: core backtrace
янв 02 20:27:07 Z87M-D3H abrt-server[1978]: DUP_OF_DIR: /var/tmp/abrt/ccpp-2014-01-01-22:59:27-29112
янв 02 20:27:07 Z87M-D3H abrt-server[1978]: Deleting problem directory ccpp-2014-01-02-20:27:03-29703 (dup of ccpp-2014-01-01-22:59:27-29112)
янв 02 20:27:07 Z87M-D3H dbus-daemon[521]: dbus[521]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
янв 02 20:27:07 Z87M-D3H dbus[521]: [system] Activating service name='org.freedesktop.problems' (using servicehelper)
янв 02 20:27:07 Z87M-D3H dbus-daemon[521]: dbus[521]: [system] Successfully activated service 'org.freedesktop.problems'
янв 02 20:27:07 Z87M-D3H dbus[521]: [system] Successfully activated service 'org.freedesktop.problems'
янв 02 20:27:08 Z87M-D3H gnome-session[28978]: err:ntdll:RtlpWaitForCriticalSection section 0x1369f98 "?" wait timed out in thread 002a, blocked by 0025, retrying (60 sec)
[mikhail@Z87M-D3H ~]$
Comment 72 Owen Taylor 2014-01-02 10:22:35 EST
(In reply to Daniel Miranda from comment #53)
> I'm not getting crashes anymore with mutter 3.10.2-6, but I'm having
> problems with window selection, specifically fullscreen Wine games (League
> of Legends), which I was not having before.
> 
> If I Alt-Tab or select the application from the app. list, it will flash
> like it's focused, then be instantly unfocused. Sometimes it will end up
> with mouse focus, sometimes it will be 'fall through', with clicks going to
> windows below it. If I then activate it again (by doing either the Alt-Tab
> or the app selection, whichever I had not used previously) the windows gets
> focus, but occasionally the mouse focus will stay bugged.
> 
> With mutter 3.10.2-2 I can focus the windows consistently every time, but
> *unfocusing* is inconsistent and sometimes will not bring up the selected
> application.

Can you do:

 MUTTER_DEBUG=1 MUTTER_VERBOSE=1 MUTTER_USE_LOGFILE gnome-shell --replace &
 Reproduce the bug
 gnome-shell --replace &
 Attach the resulting log

(the less other windows you have open, the less extraneous window management operations you do,the better! The log will be noisy.) I'm not sure that I'll be able to figure out what's going on from just the log without having a test case in hand, but it may give clues.
Comment 73 Mikhail 2014-01-02 11:17:22 EST
Created attachment 844613 [details]
mutter log
Comment 74 Mikhail 2014-01-02 11:35:13 EST
Hmm when it occurs keyboard stop working :(
Comment 75 Mikhail 2014-01-02 17:08:23 EST
mutter:ERROR:core/window.c:1748:meta_window_unmanage: assertion failed: (window->display->focus_window != window)
Comment 76 Daniel Miranda 2014-03-01 13:09:34 EST
Just got this on 3.10.4-1 after opening a fullscreen wine game. It's literally the fifth crashing bug in gnome-shell I've experienced on Fedora 20. I never had a single crash on 3.8. This is getting very aggravating.
Comment 77 Daniel Miranda 2014-03-01 13:10:40 EST
And apparently I also cannot focus the game (League of Legends) *at all*. No amount of alt-tabbing and selecting will fix it.
Comment 78 Daniel Miranda 2014-03-01 13:45:59 EST
I get this in the mutter logs every time the window fails to focus: 

gnome-session[9978]: FOCUS: Ignoring focus event generated by a grab or other weirdness

I can attach the full logs if needed.
Comment 79 Jeff Buhrt 2014-03-06 12:10:43 EST
I was just closing some windows. I don't remember if it was a firefox, file browser, or Adobe Reader... I had just finished a ticket and closed a few things I didn't need.
Comment 80 Daniel Miranda 2014-03-07 01:20:27 EST
Got this again after clicking close on a Wine post-application-crash dialog.
Comment 81 Mikhail 2014-03-09 04:03:37 EDT
Very often occurs when open next song in FL Studio 11
Comment 82 Amit Shah 2014-03-13 03:48:52 EDT
Happened with multiple monitors: attached a vga monitor to laptop, turned off laptop screen.  Later, switched on laptop screen as primary screen, and re-arranged the primary to be on the left of the secondary.  gnome-shell crashed.  All the app windows collapsed in a single workspace.  Worse, all windows became pinned to all the workspaces, so cycling through them made no difference -- all the windows were avl on all the workspaces.
Comment 83 Amit Shah 2014-03-13 03:49:21 EDT
The above happened with gnome-shell-3.10.4-1.fc20.x86_64
Comment 84 Vasilis Keramidas 2014-04-09 08:34:05 EDT
This bug is reproduced when I use Microsoft Outlook through Citrix Receiver. When I want to attached a file,  a new windows open (Windows Explorer) and mutter crashes.
Comment 85 kksheth 2014-04-23 04:09:11 EDT
i experienced it while using yumex (23-april-2014)
Comment 86 Gustav Sverre Kampp 2014-05-15 12:17:33 EDT
I experienced it running SAPGUI through Cistrix Receiver. The I need to make a choice from the popup, gnome shell crashes.
Comment 87 Michael Schwendt 2014-05-20 07:20:15 EDT
Ran into this with fully up-to-date F20 while trying to move a Claws Mail window.
Comment 88 Ratan Venkatesan 2014-06-07 21:01:33 EDT
Another user experienced a similar problem:

I was installing a program in wine when the whole gnome-shell started acting weird. Activities overview wouldn't open and it started glitching

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.14.4-200.fc20.x86_64
package:        gnome-shell-3.10.4-5.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 89 nartes 2014-06-17 11:15:45 EDT
Another user experienced a similar problem:

was using wine application

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.14.7-200.fc20.x86_64
package:        gnome-shell-3.10.4-5.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 90 Dimitri Papadopoulos 2014-07-07 17:56:08 EDT
Another user experienced a similar problem:

Using X Windows software such as geany via a very slow ADSL connection.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.14.9-200.fc20.x86_64
package:        gnome-shell-3.10.4-5.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 91 iakuxner 2014-07-28 08:08:16 EDT
su -c "yum install recordmydesktop"

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.11.10-301.fc20.x86_64
package:        gnome-shell-3.10.2.1-2.fc20
reason:         Process /usr/bin/gnome-shell was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 92 Moez Roy 2014-08-04 03:18:01 EDT
I have:

mutter.x86_64                  3.10.4-2.fc20        @updates
Comment 93 Adam Williamson 2014-08-04 18:37:51 EDT
FWIW, what you're all hitting isn't quite the bug that we fixed with the 3.10.2-6 build, it's rather (I think) one of the underlying bugs that we were trying to solve in the bad 3.10.2-3,4,5 builds, which still hasn't been fixed (it seems to affect non-GTK+3-native apps, that's the common thread among all the reports). It's probably OK for it to be tracked in this bug, though, there's a clean separation.
Comment 94 devlink 2014-08-11 15:53:08 EDT
Another user experienced a similar problem:

I think this problem with VLC (2.15). It is happend when I open video in fullscreen.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.15.8-200.fc20.x86_64
package:        gnome-shell-3.10.4-8.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 95 Nicholas Youell 2014-09-04 04:12:03 EDT
Another user experienced a similar problem:

I was using audacity and clicked on exit, the gnome-shell hung and the recovered. 

Note I have just upgraded between Fedora 19 -> 20. 


reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.15.10-201.fc20.x86_64
package:        gnome-shell-3.10.4-8.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 96 Frank Büttner 2014-10-04 15:02:12 EDT
Another user experienced a similar problem:

Extract files from archive.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
kernel:         3.16.3-200.fc20.x86_64
package:        gnome-shell-3.10.4-8.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 97 Christophe GRENIER 2014-11-18 10:20:46 EST
Similar problem with gnome-shell-3.10.4-9.fc20.x86_64

gnome-session[17386]: Window manager warning: Log level 8: meta_display_register_x_window: assertion 'g_hash_table_lookup (display->xids, xwindowp) == NULL' failed
gnome-session[17386]: Window manager warning: Log level 16: STACK_OP_RAISE_ABOVE: sibling window 0x1400171 not in stack
gnome-session[17386]: Window manager warning: Log level 16: STACK_OP_RAISE_ABOVE: sibling window 0x140017f not in stack
gnome-session[17386]: Window manager warning: Log level 16: STACK_OP_RAISE_ABOVE: sibling window 0x1400189 not in stack
gnome-session[17386]: **
gnome-session[17386]: mutter:ERROR:core/window.c:1717:meta_window_unmanage: assertion failed: (window->display->focus_window != window)
abrt-hook-ccpp[18985]: Saved core dump of pid 18523 (/usr/bin/gnome-shell) to /var/tmp/abrt/ccpp-2014-11-18-14:33:30-18523 (263569408 bytes)
polkitd[12761]: Unregistered Authentication Agent for unix-session:274 (system bus name :1.1770, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.U
gnome-session[17386]: gnome-session[17386]: WARNING: Application 'gnome-shell.desktop' killed by signal 6
gnome-session[17386]: WARNING: Application 'gnome-shell.desktop' killed by signal 6

I can reproduce the problem easily by openning and closing windows prompt quickly (Outlook under Citrix ICA Linux Client when deleting multiple emails).
Comment 98 Larry O'Leary 2015-03-19 19:21:23 EDT
Seems like this is still happening. I just had a crash an ABRT sent me here. Was using Eclipse which prompt me for input while I was switching between gnome workspaces. This seemed to cause Eclipse to report that it was no longer responding followed by a 30 second pause followed by a gnome-shell crash. Once gnome-shell restarted, Eclipse was fine.
Comment 99 Fedora End Of Life 2015-05-29 05:18:39 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 100 Fedora End Of Life 2015-06-29 08:15:49 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.